commits
Thread
Date
Earlier messages
Messages by Thread
Re: [PR] fix(metrics): handle stale DistributedRegistry across SparkContext restarts. [hudi]
via GitHub
Re: [PR] fix(metrics): handle stale DistributedRegistry across SparkContext restarts. [hudi]
via GitHub
Re: [PR] fix(metrics): handle stale DistributedRegistry across SparkContext restarts. [hudi]
via GitHub
[PR] fix(HUDI-9666): deduce the complex keygen encoding from a record the newest commit wrote [hudi]
via GitHub
Re: [PR] fix(HUDI-9666): deduce the complex keygen encoding from a record the newest commit wrote [hudi]
via GitHub
Re: [PR] fix(HUDI-9666): deduce the complex keygen encoding from a record the newest commit wrote [hudi]
via GitHub
Re: [PR] fix(HUDI-9666): deduce the complex keygen encoding from a record the newest commit wrote [hudi]
via GitHub
Re: [PR] fix(HUDI-9666): deduce the complex keygen encoding from a record the newest commit wrote [hudi]
via GitHub
[I] Complex keygen encoding deduction can read a record another writer keyed [hudi]
via GitHub
Re: [I] Complex keygen encoding deduction can read a record another writer keyed [hudi]
via GitHub
[PR] fix(spark): keep variant guard under nested filter pushdown [hudi]
via GitHub
Re: [PR] fix(spark): keep variant guard under nested filter pushdown [hudi]
via GitHub
Re: [PR] fix(spark): keep variant guard under nested filter pushdown [hudi]
via GitHub
Re: [PR] fix(spark): keep variant guard under nested filter pushdown [hudi]
via GitHub
Re: [PR] fix(spark): keep variant guard under nested filter pushdown [hudi]
via GitHub
[I] Single-field ComplexKeyGenerator tables duplicate records on branch-0.x across the 0.14.1 key encoding change [hudi]
via GitHub
Re: [I] Single-field ComplexKeyGenerator tables duplicate records on branch-0.x across the 0.14.1 key encoding change [hudi]
via GitHub
(hudi) branch bot/trino-pin updated (0836bcfc3630 -> ec2a38de7d95)
github-bot
(hudi) 01/01: chore(trino): advance trino master pin to 1404575b02a9
github-bot
[PR] feat(agent): add first executable Flink SQL sink path to Hudi Architect [hudi]
via GitHub
Re: [PR] feat(agent): add first executable Flink SQL sink path to Hudi Architect [hudi]
via GitHub
Re: [PR] feat(agent): add first executable Flink SQL sink path to Hudi Architect [hudi]
via GitHub
Re: [PR] feat(agent): add first executable Flink SQL sink path to Hudi Architect [hudi]
via GitHub
Re: [PR] feat(agent): add first executable Flink SQL sink path to Hudi Architect [hudi]
via GitHub
Re: [PR] feat(agent): add first executable Flink SQL sink path to Hudi Architect [hudi]
via GitHub
(hudi) branch bot/trino-pin updated (c7eea3f49be6 -> 0836bcfc3630)
github-bot
(hudi) 01/01: chore(trino): advance trino master pin to 8fc917fed16c
github-bot
[PR] feat(agent): add Hudi optimizer catalogs and skill [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi optimizer catalogs and skill [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi optimizer catalogs and skill [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi optimizer catalogs and skill [hudi]
via GitHub
[PR] feat(utilities): add HoodieSparkEventLogAnalyzer for Hudi-aware Spark stage analysis [hudi]
via GitHub
Re: [PR] feat(utilities): add HoodieSparkEventLogAnalyzer for Hudi-aware Spark stage analysis [hudi]
via GitHub
Re: [PR] feat(utilities): add HoodieSparkEventLogAnalyzer for Hudi-aware Spark stage analysis [hudi]
via GitHub
Re: [PR] feat(utilities): add HoodieSparkEventLogAnalyzer for Hudi-aware Spark stage analysis [hudi]
via GitHub
Re: [PR] feat(utilities): add HoodieSparkEventLogAnalyzer for Hudi-aware Spark stage analysis [hudi]
via GitHub
[PR] feat(agent): add Hudi config catalog generator and config-consultant skill [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi config catalog generator and config-consultant skill [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi config catalog generator and config-consultant skill [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi config catalog generator and config-consultant skill [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi config catalog generator and config-consultant skill [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi config catalog generator and config-consultant skill [hudi]
via GitHub
[PR] feat(agent): add Hudi RCA skill with failure catalog, mitigation ladders and workflow catalog [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi RCA skill with failure catalog, mitigation ladders and workflow catalog [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi RCA skill with failure catalog, mitigation ladders and workflow catalog [hudi]
via GitHub
Re: [PR] feat(agent): add Hudi RCA skill with failure catalog, mitigation ladders and workflow catalog [hudi]
via GitHub
(hudi) branch bot/trino-pin updated (8c17b0db50fa -> c7eea3f49be6)
github-bot
(hudi) 01/01: chore(trino): advance trino master pin to 2cf6ed7e29ee
github-bot
(hudi) branch master updated: fix: Avoid relocated protobuf linkage in ORC footer reads (#20150)
danny0405
[PR] Fix vectorized reader session config mutation [hudi]
via GitHub
Re: [PR] fix: Prevent vectorized reader session config mutation [hudi]
via GitHub
Re: [PR] fix: Prevent vectorized reader session config mutation [hudi]
via GitHub
Re: [PR] fix: Prevent vectorized reader session config mutation [hudi]
via GitHub
Re: [PR] fix: Prevent vectorized reader session config mutation [hudi]
via GitHub
Re: [PR] fix: Prevent vectorized reader session config mutation [hudi]
via GitHub
[PR] build(deps-dev): bump coverage from 7.16.0 to 7.16.2 in /python [hudi-rs]
via GitHub
(hudi-rs) branch dependabot/pip/python/coverage-7.16.2 created (now bd4795a5)
github-bot
(hudi-rs) branch dependabot/pip/python/coverage-7.16.1 deleted (was 08f9432e)
github-bot
[PR] fix(spark): keep read_blob's broadcast storage configuration intact under Kryo [hudi]
via GitHub
Re: [PR] fix(spark): keep read_blob's broadcast storage configuration intact under Kryo [hudi]
via GitHub
Re: [PR] fix(spark): keep read_blob's broadcast storage configuration intact under Kryo [hudi]
via GitHub
Re: [PR] fix(spark): keep read_blob's broadcast storage configuration intact under Kryo [hudi]
via GitHub
Re: [PR] fix(spark): keep read_blob's broadcast storage configuration intact under Kryo [hudi]
via GitHub
[I] read_blob() fails on OUT_OF_LINE blobs under Kryo: broadcast storage configuration arrives with a null Hadoop configuration [hudi]
via GitHub
[PR] test(common): cover array fields in parquet-avro GenericData reader test [hudi]
via GitHub
Re: [PR] test(common): cover array fields in parquet-avro GenericData reader test [hudi]
via GitHub
Re: [PR] test(common): cover array fields in parquet-avro GenericData reader test [hudi]
via GitHub
Re: [PR] test(common): cover array fields in parquet-avro GenericData reader test [hudi]
via GitHub
Re: [PR] test(common): cover array fields in parquet-avro GenericData reader test [hudi]
via GitHub
(hudi) branch master updated: fix(common): use GenericData model in parquet-avro readers to avoid java-class resolution (#20187)
vinoth
[PR] fix(flink): prevent write rate limiter stalls and thread leaks [hudi]
via GitHub
Re: [PR] fix(flink): prevent write rate limiter stalls and thread leaks [hudi]
via GitHub
Re: [PR] fix(flink): prevent write rate limiter stalls and thread leaks [hudi]
via GitHub
Re: [PR] fix(flink): prevent write rate limiter stalls and thread leaks [hudi]
via GitHub
Re: [PR] fix(flink): prevent write rate limiter stalls and thread leaks [hudi]
via GitHub
(hudi) branch master updated: fix: Fix schema evolution decimal precision overflow (#20130)
vhs
(hudi) branch branch-1.2.x updated: fix(variant): port #20136 to branch-1.2.x (#20184)
vhs
[PR] fix(metadata): key RLI and SI write stats by file group, not file id [hudi]
via GitHub
Re: [PR] fix(metadata): key RLI and SI write stats by file group, not file id [hudi]
via GitHub
Re: [PR] fix(metadata): key RLI and SI write stats by file group, not file id [hudi]
via GitHub
Re: [PR] fix(metadata): key RLI and SI write stats by file group, not file id [hudi]
via GitHub
Re: [PR] fix(metadata): key RLI and SI write stats by file group, not file id [hudi]
via GitHub
Re: [PR] fix(metadata): key RLI and SI write stats by file group, not file id [hudi]
via GitHub
Re: [PR] fix(metadata): key RLI and SI write stats by file group, not file id [hudi]
via GitHub
[PR] fix(common): use GenericData model in parquet-avro readers to avoid java-class resolution [hudi]
via GitHub
Re: [PR] fix(common): use GenericData model in parquet-avro readers to avoid java-class resolution [hudi]
via GitHub
Re: [PR] fix(common): use GenericData model in parquet-avro readers to avoid java-class resolution [hudi]
via GitHub
Re: [PR] fix(common): use GenericData model in parquet-avro readers to avoid java-class resolution [hudi]
via GitHub
Re: [PR] fix(common): use GenericData model in parquet-avro readers to avoid java-class resolution [hudi]
via GitHub
Re: [PR] fix(common): use GenericData model in parquet-avro readers to avoid java-class resolution [hudi]
via GitHub
Re: [PR] fix(common): use GenericData model in parquet-avro readers to avoid java-class resolution [hudi]
via GitHub
Re: [PR] fix(common): use GenericData model in parquet-avro readers to avoid java-class resolution [hudi]
via GitHub
Re: [PR] fix(common): use GenericData model in parquet-avro readers to avoid java-class resolution [hudi]
via GitHub
(hudi) branch bot/trino-pin updated (e6cffc0a1a87 -> 8c17b0db50fa)
github-bot
(hudi) 01/01: chore(trino): advance trino master pin to 6ead7e6c2f04
github-bot
[PR] docs(rfc): RFC-91 resolve ambiguous conditional-write results from the lock file [hudi]
via GitHub
Re: [PR] docs(rfc): RFC-91 resolve ambiguous conditional-write results from the lock file [hudi]
via GitHub
Re: [PR] docs(rfc): RFC-91 resolve ambiguous conditional-write results from the lock file [hudi]
via GitHub
Re: [PR] docs(rfc): RFC-91 resolve ambiguous conditional-write results from the lock file [hudi]
via GitHub
Re: [PR] docs(rfc): RFC-91 resolve ambiguous conditional-write results from the lock file [hudi]
via GitHub
Re: [PR] docs(rfc): RFC-91 resolve ambiguous conditional-write results from the lock file [hudi]
via GitHub
Re: [PR] docs(rfc): RFC-91 resolve ambiguous conditional-write results from the lock file [hudi]
via GitHub
Re: [PR] docs(rfc): RFC-91 resolve ambiguous conditional-write results from the lock file [hudi]
via GitHub
Re: [PR] docs(rfc): RFC-91 resolve ambiguous conditional-write results from the lock file [hudi]
via GitHub
Re: [PR] docs(rfc): RFC-91 resolve ambiguous conditional-write results from the lock file [hudi]
via GitHub
Re: [I] [umbrella tracking issue] RFC-109: Vector search index in Hudi Metadata Table [hudi]
via GitHub
[I] Triage/Review/land PRs related to 19802 [hudi]
via GitHub
Re: [I] RFC-104: Add Vector Index Implementation within Hudi [hudi]
via GitHub
Re: [I] RFC-104: Add Vector Index Implementation within Hudi [hudi]
via GitHub
Re: [I] RFC for native MDT-backed vector index support [hudi]
via GitHub
Re: [PR] docs(blog): add the InfoQ article on computing time in queue for Hudi Kafka pipelines [hudi]
via GitHub
(hudi) branch master updated: refactor(flink): share table-service handlers across sink APIs (#20156)
danny0405
[PR] fix(variant): port #20136 to branch-1.2.x [hudi]
via GitHub
Re: [PR] fix(variant): port #20136 to branch-1.2.x [hudi]
via GitHub
Re: [PR] fix(variant): port #20136 to branch-1.2.x [hudi]
via GitHub
Re: [PR] fix(variant): port #20136 to branch-1.2.x [hudi]
via GitHub
Re: [PR] fix(variant): port #20136 to branch-1.2.x [hudi]
via GitHub
Re: [PR] test(utilities): cover quarantining a record with a null ordering value [hudi]
via GitHub
Re: [PR] test(utilities): cover quarantining a record with a null ordering value [hudi]
via GitHub
Re: [PR] test(utilities): cover quarantining a record with a null ordering value [hudi]
via GitHub
Re: [PR] test(utilities): cover quarantining a record with a null ordering value [hudi]
via GitHub
Re: [PR] test(utilities): cover quarantining a record with a null ordering value [hudi]
via GitHub
Re: [PR] test(utilities): cover quarantining a record with a null ordering value [hudi]
via GitHub
Re: [PR] test(utilities): cover quarantining a record with a null ordering value [hudi]
via GitHub
Re: [PR] test(utilities): cover quarantining a record with a null ordering value [hudi]
via GitHub
Re: [PR] test(utilities): cover quarantining a record with a null ordering value [hudi]
via GitHub
[PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
Re: [PR] fix(spark): decide vectorized read per scan in HoodieFileGroupReaderBasedFileFormat [hudi]
via GitHub
[I] [BUG] Spark file-group reader picks the vectorized Parquet reader from stale supportBatch state and mutates spark.sql.parquet.enableVectorizedReader, causing ClassCastException ColumnarBatchRow -> UnsafeRo [hudi]
via GitHub
(hudi) branch asf-site updated: docs: pushVariantIntoScan workaround for 1.2.x (#20159)
vhs
(hudi) branch master updated: feat(flink): add Hive sync metrics to the write coordinator (#20148)
danny0405
(hudi) branch bot/trino-pin updated (23c78f04b714 -> e6cffc0a1a87)
github-bot
(hudi) 01/01: chore(trino): advance trino master pin to a4583a595cc7
github-bot
(hudi) branch master updated: docs(rfc): claim RFC-115 for the Spark DataFrame-native write path (#20179)
yihua
Re: [PR] refactor(common): hoist shared instant file name bodies [hudi]
via GitHub
(hudi) branch master updated: fix(spark): null-fill a DDL-added variant column (#20136)
vhs
(hudi) branch branch-1.2.x updated: fix(variant): port #20041 to branch-1.2.x (#20160)
vhs
(hudi) branch master updated: fix(spark): check data schema in Spark 4.0 guard (#20158)
vhs
(hudi) branch master updated: fix(spark): reorder nested variants on Spark 4.0 (#20161)
vhs
(hudi) branch master updated: docs(rfc): claim RFC-114 for the update as delete and insert operation mode (#20174)
yihua
(hudi) branch master updated: docs(rfc): claim RFC-113 Spark native execution with DataFusion Comet and hudi-rs (#20177)
yihua
Re: [PR] docs: RFC-110: propose Hudi full-text search index [hudi]
via GitHub
Re: [PR] docs: RFC-110: propose Hudi full-text search index [hudi]
via GitHub
Re: [I] RFC-109: MDT-backed vector index umbrella tracking issue [hudi]
via GitHub
(hudi) branch master updated (72bae164b4ff -> 61bf57d741ec)
danny0405
(hudi) branch master updated: fix(flink): preserve arrival order for equal keys in LSM writes (#20138)
danny0405
[PR] docs(rfc): add RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
Re: [PR] docs(rfc): add RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
Re: [PR] docs(rfc): add RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
Re: [PR] docs(rfc): add RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
[PR] docs(rfc): claim RFC-115 for the Spark DataFrame-native write path [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-115 for the Spark DataFrame-native write path [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-115 for the Spark DataFrame-native write path [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-115 for the Spark DataFrame-native write path [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-115 for the Spark DataFrame-native write path [hudi]
via GitHub
[PR] docs(rfc): [RFC-115] Spark DataFrame-native write path [hudi]
via GitHub
[PR] docs(rfc): add RFC-113 for native Spark execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
Re: [PR] docs(rfc): add RFC-113 for Spark native execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
Re: [PR] docs(rfc): add RFC-113 for Spark native execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
Re: [PR] docs(rfc): add RFC-113 for Spark native execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
Re: [PR] docs(rfc): add RFC-113 for Spark native execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
Re: [PR] docs(rfc): add RFC-113 for Spark native execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
Re: [PR] docs(rfc): add RFC-113 for Spark native execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
[PR] docs(rfc): claim RFC-113 native Spark execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-113 Spark native execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-113 Spark native execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-113 Spark native execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-113 Spark native execution with DataFusion Comet and hudi-rs [hudi]
via GitHub
[I] Make the Hudi scan native in the Comet bundle through hudi-rs [hudi]
via GitHub
[I] Add an update as delete and insert operation mode for merge-on-read tables [hudi]
via GitHub
[PR] docs(rfc): claim RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
Re: [PR] docs(rfc): claim RFC-114 for the update as delete and insert operation mode [hudi]
via GitHub
[PR] docs(rfc): add RFC-116 for the Spark DataFrame-native write path [hudi]
via GitHub
Re: [PR] docs(rfc): add RFC-116 for the Spark DataFrame-native write path [hudi]
via GitHub
[PR] docs(rfc): add RFC-115 for Iceberg-native entry points to Hudi-managed Iceberg tables [hudi]
via GitHub
Earlier messages